Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ha.framework.server
Class ClusterPartition

    java.lang.Object
      org.jboss.mx.util.JBossNotificationBroadcasterSupport
          org.jboss.system.ServiceMBeanSupport
              org.jboss.ha.framework.server.ClusterPartition

All Implemented Interfaces:
  ClusterPartitionMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter, org.jboss.system.Service, org.jboss.system.ServiceMBean

public class ClusterPartition
extends org.jboss.system.ServiceMBeanSupport
implements ClusterPartitionMBean

Management Bean for Cluster HAPartitions. It will start a JGroups channel and initialize the ReplicantManager and DistributedStateService.

Version:
  $Revision: 1.36 $
Author:
  Bill Burke., Sacha Labourey.

Field Summary
`protected org.jgroups.JChannel` | `channel`
`protected boolean` | `deadlock_detection`
`protected org.jgroups.debug.Debugger` | `debugger`
`protected String` | `jgProps`
`protected long` | `method_call_timeout`
`protected InetAddress` | `nodeAddress`
`protected String` | `nodeName`
`protected HAPartitionImpl` | `partition`
`protected String` | `partitionName`
`protected long` | `state_transfer_timeout` Number of milliseconds to wait until state has been transferred.
`protected boolean` | `use_debugger`

Fields inherited from class org.jboss.system.ServiceMBeanSupport
`log, server, SERVICE_CONTROLLER_SIG, serviceName`

Fields inherited from interface org.jboss.ha.framework.server.ClusterPartitionMBean
`OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Constructor Summary
`ClusterPartition()`

Method Summary
`protected void` | `createService()`
`protected String` | `generateUniqueNodeName()`
`Vector` | `getCurrentView()` Return the list of member nodes that built from the current view
`boolean` | `getDeadlockDetection()` Determine if deadlock detection is enabled
`HAPartition` | `getHAPartition()` Access to the underlying HAPartition without going through JNDI
`String` | `getJGroupsVersion()` The version of JGroups this is running on
`long` | `getMethodCallTimeout()` Max time (in ms) to wait for synchronous group method calls (`HAPartition.callMethodOnCluster(String, String, Object[], Class[], boolean)`)
`String` | `getName()`
`InetAddress` | `getNodeAddress()` The node address used to generate the node name
`String` | `getNodeName()` Uniquely identifies this node.
`protected javax.management.ObjectName` | `getObjectName(javax.management.MBeanServer server, javax.management.ObjectName name)`
`String` | `getPartitionName()` Name of the partition being built.
`String` | `getPartitionProperties()` Get JGroups property string a la JDBC see JGroups web site for more information
`long` | `getStateTransferTimeout()`
`void` | `setDeadlockDetection(boolean doit)`
`void` | `setMethodCallTimeout(long timeout)`
`void` | `setNodeAddress(InetAddress address)`
`void` | `setNodeName(String node)`
`void` | `setPartitionConfig(Element config)` Convert a list of elements to the JG property string
`void` | `setPartitionName(String newName)`
`void` | `setPartitionProperties(String newProps)`
`void` | `setStateTransferTimeout(long timeout)`
`String` | `showHistory()`
`String` | `showHistoryAsXML()`
`void` | `startChannelDebugger()`
`void` | `startChannelDebugger(boolean accumulative)`
`protected void` | `startService()`
`void` | `stopChannelDebugger()`
`protected void` | `stopService()`

Methods inherited from class org.jboss.system.ServiceMBeanSupport
`create, destroy, destroyService, getLog, getNextNotificationSequenceNumber, getServer, getServiceName, getState, getStateString, jbossInternalCreate, jbossInternalDescription, jbossInternalDestroy, jbossInternalLifecycle, jbossInternalStart, jbossInternalStop, postDeregister, postRegister, preDeregister, preRegister, start, stop`

Methods inherited from class org.jboss.mx.util.JBossNotificationBroadcasterSupport
`addNotificationListener, getNotificationInfo, handleNotification, removeNotificationListener, removeNotificationListener, sendNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.system.ServiceMBean
`getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### partitionName

    protected String partitionName

### jgProps

    protected String jgProps

### partition

    protected HAPartitionImpl partition

### deadlock_detection

    protected boolean deadlock_detection

### channel

    protected org.jgroups.JChannel channel

### debugger

    protected org.jgroups.debug.Debugger debugger

### use_debugger

    protected boolean use_debugger

### nodeName

    protected String nodeName

### nodeAddress

    protected InetAddress nodeAddress

### state_transfer_timeout

    protected long state_transfer_timeout

  Number of milliseconds to wait until state has been transferred. Increase this value for large states 0 = wait forever

### method_call_timeout

    protected long method_call_timeout

Constructor Detail

### ClusterPartition

    public ClusterPartition()

Method Detail

### getPartitionName

    public String getPartitionName()

  Description copied from interface: `ClusterPartitionMBean`
  Name of the partition being built. All nodes/services belonging to a partition with the same name are clustered together.

  Specified by:
    `getPartitionName` in interface `ClusterPartitionMBean`

### setPartitionName

    public void setPartitionName(String newName)

  Specified by:
    `setPartitionName` in interface `ClusterPartitionMBean`

### getPartitionProperties

    public String getPartitionProperties()

  Description copied from interface: `ClusterPartitionMBean`
  Get JGroups property string a la JDBC see JGroups web site for more information

  Specified by:
    `getPartitionProperties` in interface `ClusterPartitionMBean`

### setPartitionProperties

    public void setPartitionProperties(String newProps)

  Specified by:
    `setPartitionProperties` in interface `ClusterPartitionMBean`

### setPartitionConfig

    public void setPartitionConfig(Element config)

  Convert a list of elements to the JG property string

  Specified by:
    `setPartitionConfig` in interface `ClusterPartitionMBean`

### getNodeName

    public String getNodeName()

  Uniquely identifies this node. MUST be unique accros the whole cluster! Cannot be changed once the partition has been started

  Specified by:
    `getNodeName` in interface `ClusterPartitionMBean`

### setNodeName

    public void setNodeName(String node)
                     throws Exception

  Specified by:
    `setNodeName` in interface `ClusterPartitionMBean`
  Throws:
    `Exception`

### getNodeAddress

    public InetAddress getNodeAddress()

  Description copied from interface: `ClusterPartitionMBean`
  The node address used to generate the node name

  Specified by:
    `getNodeAddress` in interface `ClusterPartitionMBean`

### setNodeAddress

    public void setNodeAddress(InetAddress address)

  Specified by:
    `setNodeAddress` in interface `ClusterPartitionMBean`

### getJGroupsVersion

    public String getJGroupsVersion()

  Description copied from interface: `ClusterPartitionMBean`
  The version of JGroups this is running on

  Specified by:
    `getJGroupsVersion` in interface `ClusterPartitionMBean`

### getStateTransferTimeout

    public long getStateTransferTimeout()

  Specified by:
    `getStateTransferTimeout` in interface `ClusterPartitionMBean`

### setStateTransferTimeout

    public void setStateTransferTimeout(long timeout)

  Specified by:
    `setStateTransferTimeout` in interface `ClusterPartitionMBean`

### getMethodCallTimeout

    public long getMethodCallTimeout()

  Description copied from interface: `ClusterPartitionMBean`
  Max time (in ms) to wait for synchronous group method calls (`HAPartition.callMethodOnCluster(String, String, Object[], Class[], boolean)`)

  Specified by:
    `getMethodCallTimeout` in interface `ClusterPartitionMBean`

### setMethodCallTimeout

    public void setMethodCallTimeout(long timeout)

  Specified by:
    `setMethodCallTimeout` in interface `ClusterPartitionMBean`

### getDeadlockDetection

    public boolean getDeadlockDetection()

  Description copied from interface: `ClusterPartitionMBean`
  Determine if deadlock detection is enabled

  Specified by:
    `getDeadlockDetection` in interface `ClusterPartitionMBean`

### setDeadlockDetection

    public void setDeadlockDetection(boolean doit)

  Specified by:
    `setDeadlockDetection` in interface `ClusterPartitionMBean`

### getObjectName

    protected javax.management.ObjectName getObjectName(javax.management.MBeanServer server,
                                                        javax.management.ObjectName name)
                                                 throws javax.management.MalformedObjectNameException

  Throws:
    `javax.management.MalformedObjectNameException`

### getHAPartition

    public HAPartition getHAPartition()

  Description copied from interface: `ClusterPartitionMBean`
  Access to the underlying HAPartition without going through JNDI

  Specified by:
    `getHAPartition` in interface `ClusterPartitionMBean`
  Returns:
    the HAPartition for the cluster service

### getCurrentView

    public Vector getCurrentView()

  Return the list of member nodes that built from the current view

  Specified by:
    `getCurrentView` in interface `ClusterPartitionMBean`
  Returns:
    A Vector Strings representing the host:port values of the nodes

### getName

    public String getName()

  Specified by:
    `getName` in interface `org.jboss.system.ServiceMBean`

### createService

    protected void createService()
                          throws Exception

  Throws:
    `Exception`

### startService

    protected void startService()
                         throws Exception

  Throws:
    `Exception`

### stopService

    protected void stopService()
                        throws Exception

  Throws:
    `Exception`

### generateUniqueNodeName

    protected String generateUniqueNodeName()
                                     throws Exception

  Throws:
    `Exception`

### showHistory

    public String showHistory()

  Specified by:
    `showHistory` in interface `ClusterPartitionMBean`

### showHistoryAsXML

    public String showHistoryAsXML()

  Specified by:
    `showHistoryAsXML` in interface `ClusterPartitionMBean`

### startChannelDebugger

    public void startChannelDebugger()

  Specified by:
    `startChannelDebugger` in interface `ClusterPartitionMBean`

### startChannelDebugger

    public void startChannelDebugger(boolean accumulative)

  Specified by:
    `startChannelDebugger` in interface `ClusterPartitionMBean`

### stopChannelDebugger

    public void stopChannelDebugger()

  Specified by:
    `stopChannelDebugger` in interface `ClusterPartitionMBean`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.